Subject: improving performance

From: Lee McLoughlin <[email-masked]>
Date: Thu, 12 Jun 1997 22:58:31 +0100

Hi I've a set of patches available at:

  http://sunsite.doc.ic.ac.uk/packages/mirror/experimental/wu-2.4.2-upd13.shar

These can help speed up the performance of ftpd and add some useful features.
I've been using these under various versions of wu-ftpd for some time, as have
quite a few others.  I've recently added them to beta 13 but I've
really only tested them under SunOS / Solaris.

The key bits are:

/*
 * DAEMON
 * If ftpd called with -D then run as a standalone daemon listing on the
 * ftp port.   This can speed up ftpd response as all ftpd then needs to
 * do is fork off a copy to handle an incoming request.  Under inetd 
 * a new copy has to be opened and exec'd.
 */

/*
 * FILEWHAT
 * If SETPROCTITLE doesn't work or if you have so many users that ps
 * takes a long time then FILEWHAT keeps the info in a file so that
 * ftpcount can just print it.
 */

and one of for people whose ftp area is a collection of separate mounts:

/*
 * MAPPING_CHDIR
 * Keep track of the path the user has chdir'd into and respond with
 * that to pwd commands.  This is to avoid having the absolue disk
 * path returned.  This helps avoid returning dirs like '.1/fred'
 * when lots of disks make up the ftp area.
 */

The other bits are: KERBEROS4, PLUS_PW and SKEY_CRIMELAB

Hope you find these useful.

	Lee
--
Lee McLoughlin.                         Phone: +44 171 594 8388
IC-Parc, Imperial College,              Fax:   +44 171 594 8432
South Kensington, London. SW7 2BZ. UK.  Email: [email-masked]

---

From: "Javier Puche. CSIC RedIRIS" <[email-masked]>
Date: Fri, 13 Jun 1997 07:52:00 +0200 (MET DST)

Hi All,

> Hope you find these useful.

 They are really useful !!  I was running xdiff yersterday to try to adapt your
patches for earlier releases to b13, so ... I do not have to do it now :-)

Thanks a lot for making such useful things available to all of us.

Best Regards,

Javier Puche.